.rtl .pre-loader2 {
    right: 0;
    left: auto;
}
.rtl .pre-loader2.loader2 .loader-inner svg.wdt-car-loader{
    transform: rotateY(-180deg);
}
.rtl .pre-loader2 .loader-inner{
    right: 0;
    left: auto;
}
.rtl .pre-loader2 .loader-inner .loader-2-svg {
  right: var(--right);
  left: auto;
  transition: right 500ms linear;
  -webkit-transition: right 500ms linear;
}


/* -----header style----- */
.rtl .gtranslate_wrapper #gt_float_wrapper .gt_float_switcher .gt-selected .gt-current-lang span.gt_float_switcher-arrow {
    margin-left: 0px;
    margin-right: 10px;
}
.rtl .select2-container--default .select2-selection--single .select2-selection__arrow b{
    right: 50%;
    margin-right: -8px;
    left: auto;
    margin-left: 0;
}
.rtl .widget-woocommerce-currency-switcher .woocommerce-currency-switcher-form .select2-container.select2-container--default .select2-selection--single .select2-selection__rendered{
    text-align: right;
}
.rtl .widget-woocommerce-currency-switcher .woocommerce-currency-switcher-form .select2-container--default .select2-selection--single .select2-selection__arrow {
    left: 0 !important;
    right: auto !important;
}
.rtl .wdt-header-icons-list-item div[class*="menu-icon"] > a .icotype-label {
    padding: 0 10px 0 0;
}
.rtl .gt_float_switcher img {
    margin: 0 0 0 5px;
}
.rtl .wdt-header-menu .menu-container .wdt-primary-nav li[class*="has-children"] > a > span:after {
    left: 0;
    margin-right: 8px;
    left: auto;
    margin-left: 0;
}
.rtl .wdt-header-menu .menu-container .wdt-primary-nav li[class*="has-children"] ul.sub-menu > li > a > span{
    padding-right: 18px;
    padding-left: 0;
}
.rtl .wdt-header-menu .menu-container .wdt-primary-nav li[class*="has-children"] ul.sub-menu > li > a > span:before{
    right: 0;
    left: auto;
}
.rtl .wdt-header-menu .menu-container .wdt-primary-nav li[class*="has-children"] ul > li.menu-item > a > span:after {
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    scale: -1;
}
.rtl .wdt-header-menu ul li ul.sub-menu{
    right: 0;
    text-align: right;
    left: auto;
}
.rtl .wdt-header-menu ul li ul.sub-menu li ul:not(.menu-item-object-wdt_mega_menus ul) {
    right: 100%;
    top: -10px;
    left: auto;
}
.rtl .wdt-header-menu ul li ul.sub-menu ul.sub-menu {
    border-width: 0 2px 0 0px;
}
.rtl .wdt-header-menu ul li ul.sub-menu{
    -webkit-box-shadow: -6px 6px 0 0 var(--wdtPrimaryColor);
    box-shadow: -6px 6px 0 0 var(--wdtPrimaryColor);
}

/* header pop */
.rtl .wdt-popup-box-window.mfp-wrap.wdt-right-side-slide .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder{
    margin-left: 0;
    margin-right: auto;
}
.rtl .wdt-popup-box-window.mfp-wrap.wdt-right-side-slide .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder .wdt-popup-box-content-inner~.mfp-close{
    left: 12px;
    right: auto;
}
.rtl .wdt-popup-box-window.wdt-right-side-slide .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder {
    -webkit-transform: translateX(-800px);
    transform: translateX(-800px);
}
.rtl .elementor-widget.elementor-align-right .elementor-icon-list-items {
    justify-content: flex-start;
}

/* Home-1 */

 /* .rtl .wdt-carousel-holder .wdt-carousel-pagination-wrapper .wdt-carousel-arrow-pagination>div>i{
    scale: -1;
}  */
.rtl .wdt-cus-slider-01 .wdt-carousel-holder .wdt-carousel-pagination-wrapper{
    left: 15%;
    right: auto;
}
.rtl .wdt-cus-slider-01 .wdt-carousel-holder .wdt-carousel-pagination-wrapper .wdt-carousel-arrow-pagination > div.wdt-arrow-pagination-next:hover {
    transform: translateX(-6px);
    -webkit-transform: translateX(-6px);
}
.rtl .wdt-cus-slider-01 .wdt-carousel-holder .wdt-carousel-pagination-wrapper .wdt-carousel-arrow-pagination > div.wdt-arrow-pagination-prev:hover {
    transform: translateX(6px);
    -webkit-transform: translateX(6px);
}
.rtl .wdt-cus-filler-box-s .wdt-content-item .wdt-content-detail-group:before{
    margin-left: 15px;
    margin-right: 0;
}
.rtl .wdt-cus-filler-box-s .wdt-content-item .wdt-content-image > a:after{
    right: 0;
    left: auto;
}
.rtl .wdt-cus-filler-box-s .wdt-content-item:after{
    right: 0;
    left: auto;
    transform-origin: right;
}
.rtl .wdt-cus-filler-box-s .wdt-content-item:hover:after{
    transform-origin: left;
}
.rtl .wdt-button .wdt-button-text {
    text-align: right;
}

.rtl .wdt-animation-wrapper div[class*="-marqee"].right-to-left { 
    -webkit-animation: rtl-MarqueeLeft 24s linear infinite 0ms; animation: rtl-MarqueeLeft 24s linear infinite 0ms; }
.rtl .wdt-animation-wrapper div[class*="-marqee"].left-to-right { 
    -webkit-animation: ltr-MarqueeRight 24s linear infinite 0ms; animation: ltr-MarqueeRight 24s linear infinite 0ms; }
  
.rtl .wdt-animation-wrapper:hover div[class*="-marqee"] { -webkit-animation-play-state: paused; animation-play-state: paused; }

@keyframes rtl-MarqueeLeft { 
    from { margin-right: 0; } 
    to { margin-right: var(--wdt-marque-Margin-Width); } 
}
@keyframes ltr-MarqueeRight { 
    from { margin-right: var(--wdt-marque-Margin-Width); } 
    to { margin-right: 0; } 
}

.rtl input.wdt-advanced-checkbox-toggle:checked {
    padding-right: 30px;
}
@media(max-width:767px){
    .rtl .wdt-cus-filler-box-s .wdt-content-item .wdt-content-detail-group> *:not(:last-child) {
        margin-left: 15px;
        margin-right: 0;
    }
}
@media(max-width:1024px){
    .rtl .wdt-column-wrapper.wdt-snap-scroll-enabled ~ .wdt-snap-scroll-pagination button[class*=wdt-pagination-]:before{
        transform: scaleX(-1);
    }
    .rtl .wdt-column-wrapper.wdt-snap-scroll-enabled ~ .wdt-snap-scroll-pagination button.wdt-pagination-prev:before,
    .rtl .wdt-column-wrapper.wdt-snap-scroll-enabled ~ .wdt-snap-scroll-pagination button.wdt-pagination-next:before{
        transform: scaleX(-1);
    }
}


.rtl .wdt-cus-heading-description-style .wdt-heading-holder .wdt-heading-content-wrapper {
    padding: 10px 20px 10px 0px;
    border-width: 0 2px 0 0px;
}
.rtl .wdt-dark-bg .wdt-cus-heading-description-style .wdt-heading-holder .wdt-heading-content-wrapper {
    border-color: var(--wdtTertiaryColor);
}
.rtl .wdt-cus-service-img-box-style-01 .wdt-content-item .wdt-content-description, 
.rtl .wdt-cus-service-img-box-style-01 .wdt-content-item .wdt-content-button {
    transform: translateX(100%);
    -webkit-transform: translateX(100%);
}
.rtl .wdt-cus-service-img-box-style-01 .wdt-content-item .wdt-content-button > a > div.wdt-button-text,
.rtl .wdt-content-item-holder .wdt-content-item .wdt-content-image-wrapper .wdt-content-image > a {
    transform: scaleX(-1);
}

.rtl .wdt-cus-services-process-block-tab .wdt-tabs-container[class*='-layout-vertical'][class*='-template-hunch-back-icon'] .wdt-tabs-list:before{
    right: -2px;
    left: auto;
}

.rtl .wdt-cus-services-process-block-tab .wdt-tabs-container[class*='-template-hunch-back-icon'] .wdt-tabs-list li a:after,
.rtl .wdt-cus-services-process-block-tab .wdt-tabs-container[class*='-template-hunch-back-icon'] .wdt-tabs-list li a:before{
    right: -11px;
    left: auto;
}
 .rtl .wdt-cus-services-process-block-tab .wdt-tabs-container[class*='-template-hunch-back-icon'] .wdt-tabs-list li .ui-tabs-anchor{
    padding-right: clamp(1.875rem, 0.4434rem + 2.2346vw, 3.125rem) ;
    padding-left: 0;
}
.rtl .wdt-cus-services-process-block-tab .wdt-template-content .wdt-content-description{
    text-align: right;
}
.rtl .wdt-cus-services-process-block-tab .wdt-template-content .wdt-content-title::before{
    padding-left: .5em;
    padding-right: 0;
}
.rtl .wdt-cus-services-process-block-tab .wdt-template-content .wdt-content-title{
    display: flex;
}
.rtl .wdt-cus-services-process-block-tab .wdt-tabs-container .wdt-tabs-content-wrapper {
    padding: 0 clamp(0.625rem, -2.2381rem + 4.4693vw, 3.125rem) 0 0;
}
 .rtl .wdt-tabs-container[class*='-layout-vertical'] .wdt-tabs-list li .ui-tabs-anchor {
    text-align: right;
}

@media only screen and (max-width: 767px) {
    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list:before {
        left: 27px;
        -webkit-transform: rotate(-45deg) translateY(-50%);
        transform: rotate(-45deg) translateY(-50%);
        right: auto;
    }
    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list:after {
        left: 18px;
        -webkit-transform: rotate(45deg) translateY(-50%);
        transform: rotate(45deg) translateY(-50%);
        right: auto;
    }
    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list.wdt-expanded:before {
        left: 19px;
        right: auto;
    }
    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list.wdt-expanded:after {
        left: 25px;
        right: auto;
    }
}

.rtl form.wpcf7-form.wdt-cus-home-page-contact-form > p span.wpcf7-form-control-wrap,
.rtl input[type="text"] {
    text-align: right;
}
.rtl .select2-container.select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-right: 24px;
    padding-left: 50px;
    text-align: right;
}
.rtl .select2-container--default .select2-selection--single .select2-selection__arrow{
    left: 15px !important;
    right: auto !important;
}
.rtl .wpcf7 input[type="email"]{
   text-align: right;
}
.rtl form.wpcf7-form span.wpcf7-form-control-wrap:has(> input.wdtdatePicker):after,
.rtl form.wpcf7-form span.wpcf7-form-control-wrap:has(> input.wdttimePicker):after{
    left: 24px;
    right: auto;
}
.rtl form.wpcf7-form.wdt-cus-home-page-contact-form textarea {
    text-align: right;
}
.rtl .wpcf7-form .with-spinner {
    float: right;
}
.rtl .wpcf7-form .wpcf7-not-valid-tip {
    left: 10px;
    right: auto;
}
.rtl .wpcf7-form .wpcf7-response-output:before, .wpcf7 form .wpcf7-response-output:before {
    left: auto;
    right: 18px;
}
.rtl .wpcf7-form.invalid .wpcf7-response-output, .wpcf7 form.invalid .wpcf7-response-output{
    text-align: right;
}
.rtl .wpcf7-form .wpcf7-response-output, .wpcf7 form .wpcf7-response-output {
    padding: 15px 45px 15px 15px;
}
.rtl .select2-results, 
.rtl input[type="search"]{
    text-align: right;
}
.rtl .flatpickr-time{
    display: flex;
    flex-direction: row-reverse;
}

/* ------Pricing table----- */

.rtl .wdt-cus-pricing-table-default .wdt-pricing-table-holder div[class*='-table-badge'].type3 {
    left: clamp(0.25rem, 0.05rem + 1vw, 1.25rem);
    right: auto;
}
.rtl .wdt-pricing-table-holder div[class*='-table-badge'].type3{
    clip-path: polygon(0% 10%, 0% 100%, 100% 100%, 100% 0%);
}
.rtl .wdt-pricing-table-holder .wdt-pricing-table-pricing div[class*='-table-pricing-sale'] .wdt-pricing-table-pricing-prefix {
    padding-left: 5px;
    padding-right: 0;
}
.rtl .wdt-cus-pricing-table-default .wdt-pricing-table-holder div[class*='-table-footer'] .wdt-pricing-table-footer-description {
    padding-right: 0;
    padding-left: 10px;
}
.rtl .wdt-cus-pricing-table-default .wdt-pricing-table-holder div[class*='-table-features'] .wdt-pricing-table-features-list li .wdt-pricing-table-features-list-text:not(:only-child) {
    padding-left: 0px;
    padding-right: 14px;
}
.wdt-cus-pricing-table-default .wdt-read-more-btn {
    left: 0;
    right: auto;
}
.rtl .wdt-cus-default-team-block .wdt-content-item .wdt-content-button > a > div.wdt-button-text:before {
    transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
}
.rtl .wdt-cus-default-team-block .wdt-content-item .wdt-content-button > a:hover > div.wdt-button-text:before {
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
}
.rtl .wdt-cus-default-team-block .wdt-content-item .wdt-social-icons-list li a .km-additional-youtube-icon {
    right: -2px;
    left: auto;
}
.rtl .wdt-cus-counter-style-1 .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span:after {
    right: -2px;
    left: 0;
    border-width: 2px 2px 2px 0px;
}
.rtl .wdt-cus-counter-style-1 .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span{
    margin-left: clamp(1.25rem, 1.125rem + 0.625vw, 1.875rem);
    margin-right: 0;
}
.rtl .wdt-cus-counter-style-1 .wdt-content-item .wdt-content-elements-group {
    padding: 20px 0px 20px 20px;
}
.rtl .wdt-cus-counter-style-1 .wdt-content-item {
    background-position: right;
}
.rtl .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon {
    margin-right: 20px;
    margin-left: 0;
}
.rtl .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon>div{
    transform: scaleX(-1);
}
.rtl .wdt-accordion-toggle-holder[class*='-template-bordered'] .wdt-accordion-toggle-description {
    padding: 0  clamp(1.25rem, 1.125rem + 0.625vw, 1.875rem) 30px 20%;
}
.rtl .wdt-cus-default-testimonial .wdt-content-item:has(.wdt-content-subtitle) .wdt-content-title h5:after {
    margin-left: 2px;
    margin-right: 0;
}

.rtl .wdt-cus-default-team-block .wdt-content-item .wdt-content-detail-group .wdt-content-elements-group {
    margin-left: 10px;
    margin-right: 0;
}
.rtl .wdt-post-entry.entry-list-layout .blog-entry.has-post-thumbnail .entry-thumb .blog-image,
.rtl .wdt-post-entry.entry-list-layout .blog-entry.has-post-thumbnail .entry-thumb:after {
    border-width: 0 0px 0 2px;
}


/* -----Blog page----- */

.rtl .wdt-cus-blog-detail-testimonial .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span i {
    left: -16px;
    right: auto;
    transform: scaleX(-1);
}
.rtl .blog-single-entry.post-minimal .single-entry-body .single-entry-social-share:not([class*="meta-elements"]) > .share .wdt-share-list li a.km-additional-youtube-icon:before{
    right: -3px;
    left: auto;
}
.rtl .wdt-cus-blog-detail-testimonial-02 .wdt-content-item .wdt-content-description {
    padding-left: 10%;
    padding-right: 0;
}
.rtl .post-edit-link {
    float: left;
}
.rtl .comment-body {
    padding-right: 80px;
    padding-left: 0;
}
.rtl .commentlist li.comment .reply {
    right: auto;
    left: 0;
}
.rtl .comment-author .avatar {
    left: auto;
    right: -80px;
}
.rtl .comment-form > p {
    float: right;
    text-align: right;
}
.rtl .blog-single-entry .entry-post-navigation > .post-prev-link{
    text-align: right;
}
.rtl .blog-single-entry .entry-post-navigation > .post-next-link {
    text-align: left;
}
.rtl .blog-single-entry .entry-post-navigation > div.post-prev-link > .nav-title-wrap p a:before {
    margin-left: 12px;
}
.rtl .blog-single-entry .entry-post-navigation > div.post-next-link > .nav-title-wrap p a:after {
    margin-left: 0;
    margin-right: 12px;
}
.rtl .blog-single-entry .entry-post-navigation.type1 > div.post-next-link > .nav-title-wrap p a:after,
.rtl .blog-single-entry .entry-post-navigation.type1 > div.post-prev-link > .nav-title-wrap p a:before {
		transform: translateX(0);
		-webkit-transform: translateX(0) scaleX(-1);
	}
.rtl .blog-single-entry .entry-post-navigation.type1 > div.post-next-link > .nav-title-wrap p a:hover:after {
		transform: translateX(-4px);
		-webkit-transform: translateX(-4px) scaleX(-1);
	}
.rtl .blog-single-entry .entry-post-navigation.type1 > div.post-prev-link > .nav-title-wrap p a:hover:before {
		transform: translateX(4px);
    	-webkit-transform: translateX(4px) scaleX(-1);
	}
.rtl .wdt-mailchimp-holder .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form .wdt-mailchimp-subscription-button-holder button[type='submit'] > *:last-child{
     margin: 0 10px 0 5px;
}
.rtl .wdt-mailchimp-holder .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form .wdt-mailchimp-subscription-button-holder button[type='submit'] i{
    margin-right: 10px;
}

.rtl .widget #searchform input[type="submit"] {
    right: auto;
    left: clamp(0rem, -0.15rem + 0.75vw, 0.75rem);
}
.rtl .widget #searchform input[type="text"] {
    padding-left: clamp(3.125rem, 3rem + 0.625vw, 3.75rem);
    padding-right: 24px;
}
.rtl .widget_tag_cloud .tagcloud, .widget .tagcloud {
    float: right;
    margin: 0 0 -10px -10px;
}
.rtl .widget_tag_cloud .tagcloud a, 
.rtl .widget .tagcloud a {
    float: right;
    margin: 0 0px 10px 10px;
}

.rtl .wdt-mailchimp-holder .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form .wdt-mailchimp-subscription-button-holder button[type='submit'] i:hover{
    scale: 1;
}
@media only screen and (max-width: 767px) {
    .rtl .comment-body {
        padding-right: 60px;
        padding-left: 0;
    }
    .rtl .comment-author .avatar {
        right: -60px;
        left: auto;
    }
}
@media only screen and (max-width: 479px) {
    .rtl .comment-body {
        padding-right: 0;
    }
    .rtl .comment-author .avatar {
        right: 0;
        left: auto;
    }
}


/* ------Home-2------ */

.rtl .wdt-cus-h2-filler-testimonial .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span {
    margin-left: 10px;
    margin-right: 0;
    transform: scaleX(-1);
}

.rtl .wdt-cus-default-services-listing .wdt-content-item .wdt-content-media-group .wdt-content-button + .wdt-content-button a:before{
    transform: scaleX(-1);
}
.rtl .wdt-cus-default-services-listing .wdt-content-item .wdt-content-media-group .wdt-content-image-wrapper {
    transform: rotate(10deg) scale(1.1);
    -webkit-transform: rotate(10deg) scale(1.1);
}
.rtl .wdt-cus-default-services-listing .wdt-active .wdt-content-item .wdt-content-media-group .wdt-content-image-wrapper {
    transform: rotate(10deg) scale(1);
    -webkit-transform: rotate(10deg) scale(1);
}
.rtl .wdt-cus-default-services-listing .wdt-active .wdt-content-item .wdt-content-media-group .wdt-content-image-wrapper + .wdt-content-button {
    transform: scale(1) rotate(0deg);
    -webkit-transform: scale(1) rotate(0deg);
}

.rtl .wdt-cus-services-detail-page-icon-box-process .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span {
    margin-left: 16px;
    margin-right: 0;
}
.rtl .side-navigation-container.type1 .side-navigation ul.side-nav li a:before{
    right: auto;
    left: 30px;
    transform: scaleX(-1);
}
.rtl textarea{
    text-align: right;
}
.rtl .wdt-sidenav-navigation-next-wrapper .wdt-sidenav-navigation-title-wrapper p a:after,
.rtl .wdt-sidenav-navigation-prev-wrapper .wdt-sidenav-navigation-title-wrapper p a:before{
    margin-left: 0;
    margin-right: 12px;
    transform: translateX(0) scaleX(-1);
    -webkit-transform: translateX(0) scaleX(-1);
}
.rtl .wdt-sidenav-navigation-prev-wrapper .wdt-sidenav-navigation-title-wrapper p a:before{
    margin-left: 12px;
    margin-right: 0;
}

.rtl .wdt-sidenav-navigation-next-wrapper .wdt-sidenav-navigation-title-wrapper p a:hover:after {
    transform: translateX(-4px) scaleX(-1);
    -webkit-transform: translateX(-4px) scaleX(-1);
}

.rtl .wdt-sidenav-navigation-prev-wrapper .wdt-sidenav-navigation-title-wrapper p a:hover:before {
    transform: translateX(4px) scaleX(-1);
    -webkit-transform: translateX(4px) scaleX(-1);
}

.rtl .woocommerce ul.products li.product .product-offers {
    left: 10px;
    right: auto;
}
.rtl .woocommerce ul.products.product-label-boxed li.product .product-labels {
    right: 10px;
    left: auto;
}
.rtl .woocommerce ul.products.wdt-cus-product-style-default li.product .product-thumb .product-element-group-wrapper .product-element-group-items .product-labels>span.instock>span:before{
    margin-left: 6px;
    margin-right: 0;
}
.rtl .woocommerce ul.products li.product .product-details .price del {
    margin-right: 0px;
    margin-left: 10px;
}
.rtl .wdticon-angle-right:before{
    transform: scaleX(-1);
}
.rtl .wdt-cus-InterActive-style-1 .elementor-widget-container .wdt-interactive-showcase-container .wdt-interactive-showcase-list-wrapper ul.wdt-interactive-showcase-list li:not(:last-child) {
    border-width: 0 0px 0 1px;
}

.rtl .wdt-cus-iconBox-style-02 .wdt-content-item .wdt-content-media-group {
    margin-right: 0;
    margin-left: 22px;
}
.rtl div[class*="product"] .swiper-container div[class*="arrow-pagination"].type2>a[class*="arrow"]:before{
    scale: -1;
}
.rtl .wdt-listing-output-data-holder[data-enableviewdetailsbtn1="yes"] .wdt-listings-item-wrapper.type1 .wdt-listings-item-top-section .wdt-listings-item-top-section-content .wdt-listings-group-button-hover-icon a.wdt-listing-view-details{
    transform: scaleX(-1);
}
.rtl .wdt-listings-item-wrapper.type1 .wdt-listings-item-top-section a:not(.custom-button-style) {
    display: flex;
}

.rtl .wdt-listings-social-share-container .wdt-listings-social-share-list li:not(:last-child){
    margin: 0 0px 0 20px;
}
.rtl .wdt-progressbar-container .wdt-progressbar-value{
    left: 0;
    right: auto;
}
.rtl .wdt-progressbar-container.wdt-progressbar-horizontal.wdt-progressbar-content-default .wdt-progressbar{
    scale: -1;
}
.rtl .wdt-listings-nav-container.type1 > div.wdt-listings-nav-prev-wrapper > .wdt-listings-nav-title-wrapper p a:before{
    margin-left: 12px;
    margin-right: 0;
    scale: -1;
}
.rtl .wdt-cus-call-iconBox .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span{
    margin-left: 24px;
    margin-right: 0;
}
.rtl .wdt-cus-h2-product-listing-carousel div[class*="product"] .swiper-container div[class*="arrow-pagination"].type2 {
    left: 5px;
    right: auto;
}
.rtl .wdt-listings-nav-container.type1 > div.wdt-listings-nav-next-wrapper > .wdt-listings-nav-title-wrapper p a:after{
    scale: -1;
    margin-right: 12px;
    margin-left: 0;
}

.rtl .wdt-popup-box-window .mfp-close{
    position: absolute;
    left: 0;
    right: auto;
}
.rtl .wpcf7 input[type="url"], .wpcf7 input[type="email"], .wpcf7 input[type="tel"] {
    direction: ltr;
    text-align: right;
}
.rtl form.wpcf7-form span.wpcf7-acceptance.optional .wpcf7-list-item{
    float: right;
}
.rtl form.wpcf7-form span.wpcf7-acceptance.optional .wpcf7-list-item label{
    flex-direction: row-reverse;
}
.rtl .wdt-custom-contact-image-box .wdt-content-item .wdt-content-elements-group {
    margin-right: 20px;
    margin-left: 0;
}

.rtl .wdt-tabs-container[class*='-icon-style-inline'] .wdt-tabs-list li .ui-tabs-anchor .wdt-content-icon{
    margin: 0 0px 0 10px;
}
@media only screen and (max-width: 767px) {
    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list li a .wdt-content-icon {
        margin: 0 0px 0 10px;
    }
.rtl .wdt-cus-default-services-listing .wdt-content-item .wdt-content-media-group .wdt-content-image-wrapper {
    transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
}
.rtl .wdt-cus-default-services-listing .wdt-active .wdt-content-item .wdt-content-media-group .wdt-content-image-wrapper {
    transform: rotate(0deg) scale(1);
    -webkit-transform: rotate(0deg) scale(1);
}
.rtl .wdt-cus-default-services-listing .wdt-active .wdt-content-item .wdt-content-media-group .wdt-content-image-wrapper + .wdt-content-button {
    transform: scale(1) rotate(0deg);
    -webkit-transform: scale(1) rotate(0deg);
}
.rtl .wdt-cus-InterActive-style-1 .elementor-widget-container .wdt-interactive-showcase-container .wdt-interactive-showcase-list-wrapper ul.wdt-interactive-showcase-list li:nth-child(n+1) {
    border-bottom: 1px solid var(--wdtAccentTxtColor);
}
    
}


/* -------Home 3-------- */
.rtl .wdt-flex-banner-options .wdt-flex-banner-option .wdt-flex-banner-title{
    flex-direction: row-reverse;
}
.rtl .wdt-flex-banner-options .wdt-flex-banner-option .wdt-flex-banner-icon.avatar,
.rtl .wdt-listings-item-wrapper.type1 a.custom-button-style:has(.detail-icon){
    transform: scaleX(-1);
}
.rtl .wdt-cust-work-process-iconbox .wdt-content-item .wdt-content-media-group{
    border-left: 2px solid var(--wdtBorderColor);
    border-right: 0;
}
 .rtl .wdt-listings-item-wrapper.type1 .wdt-listings-item-top-section .wdt-listings-top-section-img-contianer .wdt-listings-group-button-hover-icon{
    inset: 0;
    transform: translate(50px, 50px);
    -webkit-transform: translate(-50px, 50px);
 }
 .rtl .wdt-listings-item-wrapper.type1:hover .wdt-listings-item-top-section .wdt-listings-top-section-img-contianer .wdt-listings-group-button-hover-icon {
    transform: translate(0, 0);
    -webkit-transform: translate(0, 0);
    opacity: 1;
}
/* /* .rtl .wdt-listings-item-wrapper.type1.wdt-listing-view-add-cls a:hover > .detail-icon > svg {
    transform: rotate(45deg);
    -webkit-transform: rotate(-45deg); */
 */

/* ---priceplan---- */

.rtl .wdt-cus-pricing-list-alt .wdt-pricing-table-holder div[class*='-table-footer'] .wdt-content-button {
    display: flex;
    justify-content: flex-start;
    padding-right: 0;
}
.rtl .wdt-cus-pricing-list-alt .wdt-pricing-table-holder div[class*='-table-footer'] {
    padding-right: 0;
    padding-left: clamp(1.875rem, -0.6196rem + 5.2038vw, 5.625rem);
}
 .rtl .wdt-content-item .wdt-content-counter > *:not(:last-child) {
    margin-left: 2px;
    margin-right: 0;
}
.rtl .wdt-cus-offer-masonary-banner .wdt-content-item .wdt-content-detail-group {
    padding: 36px clamp(1.25rem, -1.8663rem + 10.4094vw, 10.625rem) 36px clamp(1.25rem, 1.05rem + 1vw, 2.25rem);
} 

.rtl .wdt-cus-pricing-list-alt .wdt-pricing-table-holder .wdt-pricing-table-pricing:before{
    left: 0;
    right: auto;
}
.rtl .wdt-cus-pricing-list-alt .wdt-pricing-table-holder div[class*='-table-header']:before{
    left: 0;
    right: auto;
}
.rtl .wdt-cus-pricing-list-alt .wdt-pricing-table-holder div[class*='-table-features'] .wdt-pricing-table-features-list li .wdt-pricing-table-features-list-text:not(:only-child) {
    padding-right: clamp(0.625rem, 0.2092rem + 0.8673vw, 1.25rem);
    padding-left: 0;
}




 @media (max-width: 1280px) and (min-width: 1024px) {
    .rtl .wdt-column-wrapper.wdt-snap-scroll-enabled ~ .wdt-snap-scroll-pagination button.wdt-pagination-prev:before,
    .rtl .wdt-column-wrapper.wdt-snap-scroll-enabled ~ .wdt-snap-scroll-pagination button.wdt-pagination-next:before {
        transform: scaleX(-1);
    }
}


.rtl .wdt-cus-default-award-block .wdt-content-item .wdt-content-media-group .wdt-content-image-wrapper .wdt-content-image {
    right: 0;
    left: -20%;
    transform: rotate(10deg) scale(1.1);
    -webkit-transform: rotate(10deg) scale(1.1);
}
.rtl .wdt-cus-default-award-block .wdt-content-item .wdt-content-button > a:before{
    transform: scaleX(-1);
}
.wdt-cus-default-award-block .wdt-active .wdt-content-item .wdt-content-media-group .wdt-content-image-wrapper .wdt-content-image {
    transform: rotate(10deg) scale(1);
    -webkit-transform: rotate(10deg) scale(1);
}
@media (max-width: 767px) {
    .rtl .wdt-cus-default-award-block .wdt-content-item .wdt-content-media-group .wdt-content-image-wrapper .wdt-content-image,
    .rtl .wdt-cus-default-award-block .wdt-active .wdt-content-item .wdt-content-media-group .wdt-content-image-wrapper .wdt-content-image {
        position: relative;
        right: 0;
        transform: rotate(0) scale(1);
        -webkit-transform: rotate(0) scale(1);
    }
}

.rtl .wdt-carousel-arrow-top-position .wdt-carousel-holder .wdt-carousel-pagination-wrapper .wdt-carousel-arrow-pagination {
    left: 0;
    right: auto;
}

.rtl .elementor-widget .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{
    left: -8px;
    right: auto;
}
.rtl .wdt-cus-mailchimp-btn-color .wdt-mailchimp-holder .wdt-mailchimp-wrapper .wdt-mailchimp-subscription-button-holder button:hover{
    border-right-color: var(--wdtSecondaryColor);
}


/* -------home-4------ */

.rtl .wdt-shop-category-listing-item .wdt-shop-category-listing-inner .wdt-shop-category-meta-data a.button{
    left: 10px;
    right: auto;
    transform: scaleX(-1);
}
.rtl .wdt-shop-category-listing-item .wdt-shop-category-listing-inner .wdt-shop-category-meta-data h3,
.rtl .wdt-shop-category-listing-item .wdt-shop-category-listing-inner .wdt-shop-category-meta-data .wdt-shop-category-total-items{
    text-align: right;
}
.rtl .wdt-cus-shop-filter-tab .wdt-tabs-container .wdt-tabs-list-wrapper{
    float: left;
}
.rtl .woocommerce ul.products.wdt-cus-product-style-default li.product .product-thumb .product-element-group-wrapper .product-element-group-items .product-labels{
    right: 0;
    left: auto;
}

.rtl .wdt-simple-style.wdt-post-entry .entry-date,
.rtl .wdt-simple-style.wdt-post-entry .blog-entry .entry-title h4,
.rtl .wdt-simple-style.wdt-post-entry:not(.entry-cover-layout) .blog-entry > div:not(.entry-thumb){
    text-align: right;
}
.rtl .wdt-cus-brand-logo-style-01 .wdt-column .wdt-content-item:before {
    transform: skewX(20deg) scale(0.5);
    -webkit-transform: skewX(20deg) scale(0.5);
    inset: 0;
}
.rtl .wdt-cus-brand-logo-style-01 .wdt-column .wdt-content-item:hover:before {
    transform: skewX(0deg) scale(1);
    -webkit-transform: skewX(0deg) scale(1);
}
.rtl .wdt-heading-holder .wdt-heading-deco-wrapper .wdt-heading-title .wdt-heading-colored-elements {
    margin-left: 10px;
    margin-right: 0;
}
.rtl .wdt-cus-deal-banner-title .wdt-heading-holder .wdt-heading-subtitle-wrapper{
    transform: rotate(6deg);
}

body.rtl .wdt-before-after-slider-container .wdt-before-after-sliders {
    -webkit-transform: rotateY(-180deg) translate(50%, -50%) !important;
    transform: rotateY(-180deg) translate(50%, -50%) !important;
}

.rtl .wdt-cus-h4-services-icon-list .wdt-column:not(:last-child) .wdt-content-item{
    border-left: 1px solid rgb(var(--wdtBorderColorRgb), 0.3);
    border-right: 0;
}
.rtl .wdt-cus-h4-services-icon-list .wdt-content-item .wdt-media-image-cover .wdt-content-image-wrapper:before{
    transform-origin: top right;
    -webkit-transform-origin: top right;
    left: 0;
    right: auto;
    z-index: 1;
}
.rtl .wdt-cus-h4-services-icon-list .wdt-content-item .wdt-media-image-cover .wdt-content-image-wrapper:after{
    transform-origin: top left;
    -webkit-transform-origin: top left;
}



/* -------home-5----- */

.rtl .wdt-cus-slider-03 .wdt-carousel-holder .wdt-carousel-pagination-wrapper{
    right: auto;
    left: 20px;
}
.rtl .wdt-popup-box-trigger-holder.wdt-click-element-label-n-icon .wdt-popup-box-trigger-element .wdt-popup-box-trigger-label+.wdt-popup-box-trigger-icon {
    margin-left: 12px;
    margin-right: 0px;
}
/* .rtl .wdt-image-box-holder.wdt-rc-template-image-description .wdt-content-detail-group .wdt-content-image{
    right: 0;
    left: auto;
} */

.rtl .wdt-cus-offer-masonary-banner.offer-banner-full-width .wdt-content-item .wdt-content-description {
    padding-right: 30%;
    padding-left: 0;
}
.rtl .wdt-cus-offer-masonary-banner .wdt-content-item::before {
    background: linear-gradient(-90deg, transparent 20%, var(--wdtSecondaryColor));
}
.rtl .wdt-cus-icon-aside-content-block-01 .wdt-content-item .wdt-content-media-group {
    margin-left: clamp(1.25rem, 0.875rem + 1.875vw, 3.125rem);
    margin-right: 0;
    transform: scaleX(-1);
}
@media (max-width: 1280px) and (min-width: 1025px) {
    .wdt-cus-icon-aside-content-block-01 .wdt-content-item .wdt-content-media-group {
        margin-left: clamp(1.25rem, -1.2623rem + 3.9216vw, 1.875rem);
        margin-right: 0;
    }
}
.rtl .wdt-cus-timeline-default .wdt-content-item:before{
    right: 20px;
    left: auto;
}
.rtl .wdt-cus-timeline-default .swiper-wrapper .swiper-slide .wdt-content-item {
    padding-left: clamp(1.25rem, 0.4185rem + 1.7346vw, 2.5rem);
    padding-right: 0;
}

/* --------contact us------- */

.rtl .wdt-cus-location-banner .wdt-advanced-slider-block:before{
    transform: skewX(20deg) scale(0.5);
    -webkit-transform: skewX(20deg) scale(0.5);
}
.rtl .wdt-cus-location-banner .wdt-advanced-slider-block:hover:before {
    transform: skewX(0deg) scale(1);
    -webkit-transform: skewX(0deg) scale(1);
}


/* --------Pages------- */

/* shop */

.rtl.woocommerce ul.products li.product .product-offers {
    left: 10px;
    right: auto;
}
.rtl .widget.woocommerce.widget_product_search form.woocommerce-product-search button{
    left: 34px;
    right: auto;
}
.rtl .widget.woocommerce.widget_product_search form.woocommerce-product-search input {
    padding-right: 24px;
    padding-left: 50px;
}
.rtl.woocommerce ul.products.wdt-cus-product-style-default li.product .product-thumb .product-element-group-wrapper .product-element-group-items .product-labels>span.instock>span:before{
    margin-left: 6px;
    margin-right: 0;
}
.rtl.woocommerce ul.products.product-label-boxed li.product .product-labels {
    right: 10px;
    left: auto;
}
.rtl.woocommerce ul.products li.product .product-details .price del {
    margin-left: 10px;
    margin-right: 0;
}

.rtl .wdt-post-entry.entry-cover-layout .blog-entry > .entry-thumb + div:nth-child(2),
.rtl .wdt-post-entry.entry-cover-layout .blog-entry .entry-title h4 > a,
.rtl .wdt-classic-style.wdt-post-entry .blog-entry > div.entry-body{
    text-align: right;
}
.rtl .wdticon-angle-left:before{
    scale: -1;
}
.rtl .wdt-mailchimp-holder.wdt-template-type5 .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form input{
    border-width: 1px 1px 1px 1px;
}

.rtl .wdt-dark-bg .wdt-mailchimp-holder .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form .wdt-mailchimp-subscription-button-holder button:hover{
    border-right-color: var(--wdtPrimaryColor);
}
.rtl .elementor-widget.elementor-align-left .elementor-icon-list-item{
    text-align: right;
}

.rtl .wdt-cus-instagram-default .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span {
    transform: translate(-30px, 30px);
    -webkit-transform: translate(-30px, 30px);
}
.rtl .wdt-cus-instagram-default .wdt-content-item:hover .wdt-content-icon-wrapper .wdt-content-icon span {
    transform: translate(0, 0);
    -webkit-transform: translate(0, 0);
    opacity: 1;
}
.rtl .widget.woocommerce.widget_product_search form.woocommerce-product-search button:before{
    margin-right: 20px;
}

.rtl.woocommerce-page .wc-block-components-sidebar{
    margin-right: 50px;
    margin-left: 0;
}
.rtl .woocommerce ul.product_list_widget li img{
    float: right;
    margin-right: 0;
    margin-left: 20px;
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs ul.tabs li a:before {
     right: 0px;
     left: auto;
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs ul.tabs li a:after {
    left: 0;
    right: auto;
}

/* cart */
.rtl .woocommerce-page .is-large.wc-block-cart .wc-block-cart-items td:last-child{
    padding-left: 20px;
    padding-right: 0;
}
.rtl .woocommerce-page .is-large.wc-block-cart .wc-block-cart-items th, 
.rtl .woocommerce-page .is-large.wc-block-cart .wc-block-cart-items td {
    border-style: solid;
    border-width: 0 0px 0 1px;
}

.rtl.woocommerce div.product .summary.wdt-product-summary>div.wdt-single-product-offer-percent{
    margin-right: 14px;
    margin-left: 0;
}
.rtl.woocommerce .product p.price del,
.rtl.woocommerce-page .product p.price del, 
.rtl.woocommerce div.product p.price del, 
.rtl.woocommerce-page div.product p.price del{
    margin: 0 0px 0 5px;
}
.rtl.woocommerce div.product .summary .woocommerce-product-rating .star-rating {
    margin: 0 0px 0 5px;
}
.rtl.woocommerce div.product .summary.wdt-product-summary .wdt-single-product-share-container > a.wdt-single-product-share-item-icon {
    margin-left: 10px;
    margin-right: 0;
}
.rtl.woocommerce div.product .summary > ul.product-additional-info li i:before {
    margin-right: 0;
    margin-left: 7px;
}
.rtl.woocommerce div.product .summary > ul.product-additional-info li i {
    right: 0;
    left: auto;
}
.rtl.woocommerce div.product .summary > ul.product-additional-info li{
    padding: 0 50px 0 0px;
}
.rtl [class^="km-additional-"]:before{
    margin-right: .2em;
    margin-left: 0;
}
.rtl.woocommerce #reviews #comments ol.commentlist li .comment-text{
    margin: 0 50px 0 0px;
}
.rtl .comment-form > p input[type="checkbox"] ~ label:before{
    right: 0;
    left: auto;
}
.rtl .comment-form .comment-form-cookies-consent label{
    padding-right: 30px;
    padding-left: 0;
}
 .rtl.woocommerce table.shop_attributes th, 
 .rtl.woocommerce table.shop_attributes td {
    text-align: right;
}
.rtl.woocommerce #reviews #comments ol.commentlist li .star-rating{
    float: left;
}
.rtl.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta{
    float: right;
}
.rtl.woocommerce #reviews #comments ol.commentlist li .description p:last-child,
.rtl.rtl.woocommerce #review_form #respond {
    text-align: right;
}
.rtl .wdt-product-image-gallery-holder.wdt-product-vertical-thumb-right .wdt-product-image-gallery-thumb-container{
    margin: 0 20px 0 0px;
}
.rtl.woocommerce .star-rating::before{
    float: left;
    left: 0;
    right: auto;
}
.rtl .column {
    margin: 0 2% 0 0;
    float: right;
}
.rtl .column.first {
    margin-right: 0;
}
.rtl .wdt-cus-tc-block .wdt-heading-holder .wdt-heading-content-wrapper, .wdt-cus-tc-block.elementor-widget-text-editor {
    padding-right: clamp(1.25rem, 1rem + 1.25vw, 2.5rem);
    padding-left: 0;
}
.rtl .wdt-one-column{
    margin: 0;
}
.rtl.woocommerce .star-rating span{
    float: right;
    left: 0;
    right: auto;
}
.rtl.woocommerce .star-rating span::before {
    position: static;
}



/* ------News letter----- */

.rtl .wdt-popup-box-window.mfp-wrap .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder .wdt-popup-box-content-inner~.mfp-close{
    left: -20px;
    right: auto;
}
.rtl .wdt-mailchimp-holder .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form .wdt-mailchimp-checkbox .wdt-terms-and-conditions{
    margin-right: 0px;
    margin-left: 10px;
}
.rtl .wdt-mailchimp-holder.wdt-template-type5 .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form.with-btn-icon .wdt-mailchimp-subscription-button-holder button{
    transform: scaleX(-1);
}



/* --------Footer------ */

.rtl .wdt-cus-footer-contact-list-icon-box .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span {
    margin-left: 20px;
    margin-right: 0;
}
body.rtl .elementor-1026 .elementor-element.elementor-element-f9fd7e1 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after {
    right: calc(40px / 2);
    left: auto;
}
.rtl .wdt-google-map .gm-style .gm-style-iw-c button.gm-ui-hover-effect{
    left: -15px;
    right: auto;
}


.rtl .wdt-image-box-holder.wdt-rc-template-image-description .wdt-content-detail-group .wdt-content-image{
    right: 0;
    left: auto;
}
.rtl .wdt-image-box-holder.wdt-rc-template-image-description .wdt-content-item {
    padding: clamp(1.25rem, 1rem + 1.25vw, 2.5rem) clamp(1.25rem, 1rem + 1.25vw, 2.5rem) clamp(1.25rem, 1rem + 1.25vw, 2.5rem) clamp(3.125rem, 2.875rem + 1.25vw, 4.375rem);
}
.rtl .wdt-image-box-holder.wdt-rc-template-image-description .wdt-content-item:hover .wdt-content-detail-group .wdt-content-image-wrapper,
.rtl  .wdt-image-box-holder.wdt-rc-template-image-description .wdt-column.wdt-active .wdt-content-item .wdt-content-detail-group .wdt-content-image-wrapper {
    -webkit-clip-path: inset(0 0 0 -70px);
    clip-path: inset(0 0 0 -70px);
}
.rtl .wdt-image-box-holder.wdt-rc-template-image-description .wdt-content-detail-group .wdt-content-image-wrapper {
    -webkit-clip-path: inset(-20vmax 0 0 -70px);
    clip-path: inset(-20vmax 0 0 -70px);
}
.rtl .wdt-image-box-holder.wdt-rc-template-image-description .wdt-content-item:before {
    right: 0;
    left: auto;
    
}
/* cart */
.rtl.woocommerce-page .is-large.wc-block-cart .wc-block-cart-items th,
.rtl.woocommerce-page .is-large.wc-block-cart .wc-block-cart-items td {
    border-style: solid;
    border-width: 0 0px 0 1px;
}
.rtl select{
    text-align: right !important;
}
.rtl.woocommerce-page .wc-block-components-text-input label,
.rtl.woocommerce-page .wc-blocks-components-select .wc-blocks-components-select__label{
    right: 24px;
    left: auto;
}
.rtl.woocommerce-page .wc-block-components-checkbox .wc-block-components-checkbox__input[type="checkbox"]{
    margin: 0 0px 0 10px;
}
.rtl.woocommerce-page .wc-block-components-validation-error{
    left: 0;
    right: auto;
}
.rtl.woocommerce-page .wc-block-components-checkbox .wc-block-components-checkbox__mark{
    margin-right: 1px;
    margin-left: 0;
}
.rtl .elementor-widget.elementor-align-left .elementor-inline-items {
    justify-content: flex-start;
}
@media (max-width: 1280px) {
    .rtl.woocommerce-page .wc-block-components-sidebar {
        margin-right: 30px;
        margin-left: 0;
    }
}
@media (max-width: 1024px) {
    .rtl.woocommerce-page .wc-block-components-sidebar {
        margin-right: 0px;
        margin-left: 0;
    }
}


/* menu style */

.rtl .mobile-menu.nav-is-visible{
    animation-name:rtl-anime-slidein-right;
}
@keyframes rtl-anime-slidein-right {
    0% {
        -webkit-transform: translateX(-1000px);
        transform: translateX(-1000px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }
}
.rtl .wdt-header-menu ul li ul.sub-menu{
    right:0;
    left: auto;
    padding-left: 0;
    text-align: right;
}
.rtl .wdt-header-menu ul li ul.sub-menu li ul:not(.menu-item-object-wdt_mega_menus ul) {
    right: 100%;
    left: auto;
    margin-left: 10px;
    margin-right: 0;
}
.rtl .mobile-menu > ul{
    right: auto !important;
    left: 0 !important;
}
.rtl .mobile-menu ul li {

    text-align: right;
}
.rtl .mobile-menu li[class*="has-children"] > a:before{
    left: 12px;
    right: auto;
}
.rtl .mobile-menu li[class*="has-children"] > a:hover:after{
    left: 12px;
    right: auto;
}
.rtl .mobile-menu li[class*="has-children"] > a:after{
    left: 18px;
    right: auto;
}
.rtl .mobile-menu li[class*="has-children"] > a:before{
    -webkit-transform: translateY(-50%) scaleX(-1);
    transform: translateY(-50%) scaleX(-1);
}
.rtl .mobile-menu li[class*="has-children"] > a:hover:before{
    left: 8px;
    right: auto;
}
.rtl .mobile-menu, .rtl .mobile-menu > ul, .rtl .mobile-menu > ul ul.children, .rtl .mobile-menu > ul ul.sub-menu, .rtl .mobile-menu > ul ul.children > li > ul, .rtl .mobile-menu > ul ul.sub-menu > li > ul {
    right: auto !important;
    left: 0 !important;
}
.rtl .mobile-menu ul li.close-nav{
    left: 0;
    right: auto;
}
.rtl .mobile-menu > ul ul.sub-menu{
    right: 0;
    left: 0;
}
.rtl  .mobile-menu > ul{
    right: auto !important;
    left: 0 !important;
    overflow-x: hidden;
}
.rtl .mobile-menu ul li.go-back > a{
    float: left;
}

/* wishlist */
.rtl .woocommerce.tinv-wishlist .tinvwl-to-right>*:not(:last-child) {
    margin-left: 15px;
    margin-right: 0;
}
.rtl .woocommerce.tinv-wishlist tfoot .tinvwl-to-left:not(:empty) {
    margin-left: 0;
}
.rtl .woocommerce.tinv-wishlist tfoot .tinvwl-to-left .tinvwl-input-group>*:not(:last-child) {
    margin-left: 15px;
    margin-right: 0;
}
.rtl .woocommerce.tinv-wishlist .social-buttons {
    text-align: left;
}
@media only screen and (max-width: 768px) {
    .rtl .tinv-wishlist table tbody tr td.product-remove {
        float: left;
    }
    .rtl .tinv-wishlist .tinvwl-table-manage-list .product-remove {
        left: 5px;
        right: auto;
    }
    .rtl .tinv-wishlist table tbody tr td.product-cb {
        float: right;
        top: -4px;
    }
    .rtl .woocommerce.tinv-wishlist .social-buttons,
    .rtl .tinv-wishlist .social-buttons  {
        text-align: center;
    }
}

@media only screen and (max-width: 1024px) {
    .rtl .tinv-wishlist .social-buttons {
        float: none;
        text-align: left;
        margin-top: 20px;
    }
}

.rtl #searchform ul.quick_search_results li.quick_search_data_item a{
    text-align: right;
}
.rtl #searchform ul.quick_search_results.active:before {
    right: 20px;
    left: auto;
}
.rtl .woocommerce .woocommerce-message .button {
    float: left;
}
.rtl a.karimotors-pro-social-google-connect i,
.rtl .karimotors-pro-login-form-holder form#loginform label[for="rememberme"] input[type="checkbox"],
.rtl a.karimotors-pro-social-facebook-connect i,
.rtl .karimotors-pro-social-logins-divider:before{
    margin-left: 10px;
    margin-right: 0;
}
.rtl .karimotors-pro-social-logins-divider::after {
    margin-left: 0px;
    margin-right: 10px;
}
.rtl .woocommerce form.login{
    right: 50%;
    -webkit-transform: translateX(50%);
    transform: translateX(50%);
    left: auto;
}
.rtl.woocommerce-page.woocommerce-account form .show-password-input {
    left: 12px;
    transform: translate(50%, -50%);
    right: auto;
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs ul.tabs{
    text-align: right;
}
.rtl.woocommerce div.product .woocommerce-tabs ul.tabs {
    padding: 0 0 0 1em;
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs ul.tabs li:first-child {
    margin-right: 0;
    padding-right: 0;  
}
.rtl .woocommerce form .form-row-first{
    float: right;
}
.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator {
    border-block-start: var(--divider-border-width) var(--divider-border-style) var(--divider-color);





 